| # Gaudi Framework, version v20r4
Generated: 8 Jan 2009

# GaudiPython::TupleDecorator Class Reference

`#include <GaudiPython/TupleDecorator.h>`

List of all members.

## Detailed Description

Simple class which performs the decoration of the standard N-Tuple.

See also:
  Tuples::Tuple

Author:
  Vanya BELYAEV ibelyaev@physics.syr.edu

Date:
  2005-08-04

Definition at line 47 of file TupleDecorator.h.

## Static Public Member Functions
static INTuple * | nTuple (const Tuples::Tuple &tuple)
| accessors to internal
static NTuple::Tuple * | ntuple (const Tuples::Tuple &tuple)
| accessors to internal
static bool | valid (const Tuples::Tuple &tuple)
| status of the tuple
static StatusCode | write (const Tuples::Tuple &tuple)
| commit the row
static StatusCode | column (const Tuples::Tuple &tuple, const std::string &name, const int value)
| more or less simple columns: int
static StatusCode | column (const Tuples::Tuple &tuple, const std::string &name, const int value, const int minv, const int maxv)
| more or less simple columns: int
static StatusCode | column (const Tuples::Tuple &tuple, const std::string &name, const double value)
| more or less simple columns: double
static StatusCode | column (const Tuples::Tuple &tuple, const std::string &name, const bool value)
| more or less simple columns: bool
static StatusCode | column (const Tuples::Tuple &tuple, const std::string &name, IOpaqueAddress *value)
| more or less simple columns: IOpaqueAddress
static StatusCode | column (const Tuples::Tuple &tuple, IOpaqueAddress *value)
| more or less simple columns: IOpaqueAddress
static StatusCode | column (const Tuples::Tuple &tuple, const std::string &name, const Gaudi::LorentzVector &value)
| Advanced columns: LorentzVector.
static StatusCode | column (const Tuples::Tuple &tuple, const std::string &name, const Gaudi::PtEtaPhiEVector &value)
| Advanced columns: LorentzVector.
static StatusCode | column (const Tuples::Tuple &tuple, const std::string &name, const Gaudi::XYZVector &value)
| Advanced columns: 3D-vector.
static StatusCode | column (const Tuples::Tuple &tuple, const std::string &name, const Gaudi::Polar3DVector &value)
| Advanced columns: 3D-vector.
static StatusCode | column (const Tuples::Tuple &tuple, const std::string &name, const Gaudi::RhoEtaPhiVector &value)
| Advanced columns: 3D-vector.
static StatusCode | column (const Tuples::Tuple &tuple, const std::string &name, const Gaudi::RhoZPhiVector &value)
| Advanced columns: 3D-vector.
static StatusCode | column (const Tuples::Tuple &tuple, const std::string &name, const Gaudi::XYZPoint &value)
| Advanced columns: 3D-points.
static StatusCode | column (const Tuples::Tuple &tuple, const std::string &name, const Gaudi::Polar3DPoint &value)
| Advanced columns: 3D-points.
static StatusCode | column (const Tuples::Tuple &tuple, const std::string &name, const Gaudi::RhoEtaPhiPoint &value)
| Advanced columns: 3D-points.
static StatusCode | column (const Tuples::Tuple &tuple, const std::string &name, const Gaudi::RhoZPhiPoint &value)
| Advanced columns: 3D-points.
static StatusCode | farray (const Tuples::Tuple &tuple, const std::string &name, const std::vector< double > &data, const std::string &length, const size_t maxv)
| Advanced columns: floating-size arrays.
static StatusCode | farray (const Tuples::Tuple &tuple, const std::string &name, const CLHEP::HepVector &data, const std::string &length, const size_t maxv)
| Advanced columns: floating-size arrays.
static StatusCode | fmatrix (const Tuples::Tuple &tuple, const std::string &name, const GaudiPython::Matrix &data, const Tuples::TupleObj::MIndex cols, const std::string &length, const size_t maxv)
| Advanced columns: floating-size matrices.
static StatusCode | fmatrix (const Tuples::Tuple &tuple, const std::string &name, const CLHEP::HepGenMatrix &data, const Tuples::TupleObj::MIndex cols, const std::string &length, const size_t maxv)
| Advanced columns: floating-size matrices.
static StatusCode | fmatrix (const Tuples::Tuple &tuple, const std::string &name, const GaudiUtils::VectorMap< int, double > &info, const std::string &length, const size_t maxv)
| Advanced columns: floating-size matrices.
static StatusCode | array (const Tuples::Tuple &tuple, const std::string &name, const std::vector< double > &data)
| Advanced columns: fixed size arrays.
static StatusCode | array (const Tuples::Tuple &tuple, const std::string &name, const CLHEP::HepVector &data)
| Advanced columns: fixed size arrays.
static StatusCode | array (const Tuples::Tuple &tuple, const std::string &name, const Gaudi::Vector2 &data)
| Advanced columns: fixed size arrays.
static StatusCode | array (const Tuples::Tuple &tuple, const std::string &name, const Gaudi::Vector3 &data)
| Advanced columns: fixed size arrays.
static StatusCode | array (const Tuples::Tuple &tuple, const std::string &name, const Gaudi::Vector4 &data)
| Advanced columns: fixed size arrays.
static StatusCode | array (const Tuples::Tuple &tuple, const std::string &name, const Gaudi::Vector5 &data)
| Advanced columns: fixed size arrays.
static StatusCode | array (const Tuples::Tuple &tuple, const std::string &name, const Gaudi::Vector6 &data)
| Advanced columns: fixed size arrays.
static StatusCode | array (const Tuples::Tuple &tuple, const std::string &name, const Gaudi::Vector7 &data)
| Advanced columns: fixed size arrays.
static StatusCode | array (const Tuples::Tuple &tuple, const std::string &name, const Gaudi::Vector8 &data)
| Advanced columns: fixed size arrays.
static StatusCode | array (const Tuples::Tuple &tuple, const std::string &name, const Gaudi::Vector9 &data)
| Advanced columns: fixed size arrays.
static StatusCode | array (const Tuples::Tuple &tuple, const std::string &name, const Gaudi::Vector1 &data)
| Advanced columns: fixed size arrays.
static StatusCode | matrix (const Tuples::Tuple &tuple, const std::string &name, const GaudiPython::Matrix &data, const Tuples::TupleObj::MIndex cols)
| Advanced columns: fixed size matrices.
static StatusCode | matrix (const Tuples::Tuple &tuple, const std::string &name, const CLHEP::HepGenMatrix &data)
| Advanced columns: fixed size matrices.
static StatusCode | matrix (const Tuples::Tuple &tuple, const std::string &name, const Gaudi::Matrix2x2 &value)
| Advanced columns: fixed size matrices: square matrices.
static StatusCode | matrix (const Tuples::Tuple &tuple, const std::string &name, const Gaudi::Matrix3x3 &value)
| Advanced columns: fixed size matrices: square matrices.
static StatusCode | matrix (const Tuples::Tuple &tuple, const std::string &name, const Gaudi::Matrix4x4 &value)
| Advanced columns: fixed size matrices: square matrices.
static StatusCode | matrix (const Tuples::Tuple &tuple, const std::string &name, const Gaudi::Matrix5x5 &value)
| Advanced columns: fixed size matrices: square matrices.
static StatusCode | matrix (const Tuples::Tuple &tuple, const std::string &name, const Gaudi::Matrix6x6 &value)
| Advanced columns: fixed size matrices: square matrices.
static StatusCode | matrix (const Tuples::Tuple &tuple, const std::string &name, const Gaudi::Matrix7x7 &value)
| Advanced columns: fixed size matrices: square matrices.
static StatusCode | matrix (const Tuples::Tuple &tuple, const std::string &name, const Gaudi::Matrix8x8 &value)
| Advanced columns: fixed size matrices: square matrices.
static StatusCode | matrix (const Tuples::Tuple &tuple, const std::string &name, const Gaudi::Matrix9x9 &value)
| Advanced columns: fixed size matrices: square matrices.
static StatusCode | matrix (const Tuples::Tuple &tuple, const std::string &name, const Gaudi::Matrix1x1 &value)
| Advanced columns: fixed size matrices: square matrices.
static StatusCode | matrix (const Tuples::Tuple &tuple, const std::string &name, const Gaudi::Matrix1x3 &value)
| Advanced columns: fixed size matrices: non-square matrices.
static StatusCode | matrix (const Tuples::Tuple &tuple, const std::string &name, const Gaudi::Matrix1x5 &value)
| Advanced columns: fixed size matrices: non-square matrices.
static StatusCode | matrix (const Tuples::Tuple &tuple, const std::string &name, const Gaudi::Matrix1x6 &value)
| Advanced columns: fixed size matrices: non-square matrices.
static StatusCode | matrix (const Tuples::Tuple &tuple, const std::string &name, const Gaudi::Matrix4x3 &value)
| Advanced columns: fixed size matrices: non-square matrices.
static StatusCode | matrix (const Tuples::Tuple &tuple, const std::string &name, const Gaudi::Matrix3x4 &value)
| Advanced columns: fixed size matrices: non-square matrices.
static StatusCode | matrix (const Tuples::Tuple &tuple, const std::string &name, const Gaudi::Matrix3x5 &value)
| Advanced columns: fixed size matrices: non-square matrices.
static StatusCode | matrix (const Tuples::Tuple &tuple, const std::string &name, const Gaudi::Matrix3x6 &value)
| Advanced columns: fixed size matrices: non-square matrices.
static StatusCode | matrix (const Tuples::Tuple &tuple, const std::string &name, const Gaudi::Matrix2x3 &value)
| Advanced columns: fixed size matrices: non-square matrices.
static StatusCode | matrix (const Tuples::Tuple &tuple, const std::string &name, const Gaudi::Matrix3x2 &value)
| Advanced columns: fixed size matrices: non-square matrices.
static StatusCode | matrix (const Tuples::Tuple &tuple, const std::string &name, const Gaudi::SymMatrix1x1 &value)
| Advanced columns: fixed size matrices: symmetric matrices.
static StatusCode | matrix (const Tuples::Tuple &tuple, const std::string &name, const Gaudi::SymMatrix3x3 &value)
| Advanced columns: fixed size matrices: symmetric matrices.
static StatusCode | matrix (const Tuples::Tuple &tuple, const std::string &name, const Gaudi::SymMatrix4x4 &value)
| Advanced columns: fixed size matrices: symmetric matrices.
static StatusCode | matrix (const Tuples::Tuple &tuple, const std::string &name, const Gaudi::SymMatrix5x5 &value)
| Advanced columns: fixed size matrices: symmetric matrices.
static StatusCode | matrix (const Tuples::Tuple &tuple, const std::string &name, const Gaudi::SymMatrix6x6 &value)
| Advanced columns: fixed size matrices: symmetric matrices.
static StatusCode | matrix (const Tuples::Tuple &tuple, const std::string &name, const Gaudi::SymMatrix7x7 &value)
| Advanced columns: fixed size matrices: symmetric matrices.
static StatusCode | matrix (const Tuples::Tuple &tuple, const std::string &name, const Gaudi::SymMatrix8x8 &value)
| Advanced columns: fixed size matrices: symmetric matrices.
static StatusCode | matrix (const Tuples::Tuple &tuple, const std::string &name, const Gaudi::SymMatrix9x9 &value)
| Advanced columns: fixed size matrices: symmetric matrices.
static StatusCode | matrix (const Tuples::Tuple &tuple, const std::string &name, const Gaudi::SymMatrix2x2 &value)
| Advanced columns: fixed size matrices: symmetric matrices.

## Member Function Documentation

INTuple * GaudiPython::TupleDecorator::nTuple | ( | const Tuples::Tuple & | tuple | ) | `[static]`

accessors to internal

Definition at line 40 of file TupleDecorator.cpp.

    00041 {
    00042   if ( !tuple.valid() ) { return 0 ; }
    00043   return tuple->tuple() ;
    00044 }

NTuple::Tuple * GaudiPython::TupleDecorator::ntuple | ( | const Tuples::Tuple & | tuple | ) | `[static]`

accessors to internal

Definition at line 47 of file TupleDecorator.cpp.

    00048 {
    00049   if ( !tuple.valid() ) { return 0 ; }
    00050   return tuple->tuple() ;
    00051 }

bool GaudiPython::TupleDecorator::valid | ( | const Tuples::Tuple & | tuple | ) | `[static]`

status of the tuple

Definition at line 54 of file TupleDecorator.cpp.

    00054 { return tuple.valid() ; }

StatusCode GaudiPython::TupleDecorator::write | ( | const Tuples::Tuple & | tuple | ) | `[static]`

commit the row

Definition at line 57 of file TupleDecorator.cpp.

    00058 {
    00059   if ( !tuple.valid() ) { return StatusCode::FAILURE ; }
    00060   return tuple->write();
    00061 }

StatusCode GaudiPython::TupleDecorator::column | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const int | value |
| ) |  |  | `[static]`

more or less simple columns: int

Definition at line 64 of file TupleDecorator.cpp.

    00067 { return _fill ( tuple , name , value ) ; }

StatusCode GaudiPython::TupleDecorator::column | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const int | value,
|  | const int | minv,
|  | const int | maxv |
| ) |  |  | `[static]`

more or less simple columns: int

Definition at line 70 of file TupleDecorator.cpp.

    00075 {
    00076   if ( !tuple.valid() ) { return StatusCode::FAILURE ; }
    00077   return tuple -> column ( name , value , minv , maxv ) ;
    00078 }

StatusCode GaudiPython::TupleDecorator::column | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const double | value |
| ) |  |  | `[static]`

more or less simple columns: double

Definition at line 81 of file TupleDecorator.cpp.

    00084 { return _fill ( tuple , name , value ) ; }

StatusCode GaudiPython::TupleDecorator::column | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const bool | value |
| ) |  |  | `[static]`

more or less simple columns: bool

Definition at line 87 of file TupleDecorator.cpp.

    00090 { return _fill ( tuple , name , value ) ; }

StatusCode GaudiPython::TupleDecorator::column | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | IOpaqueAddress * | value |
| ) |  |  | `[static]`

more or less simple columns: IOpaqueAddress

Definition at line 93 of file TupleDecorator.cpp.

    00096 {
    00097   if ( !tuple.valid() ) { return StatusCode::FAILURE ; }
    00098   return tuple->column( name , value ) ;
    00099 }

static StatusCode GaudiPython::TupleDecorator::column | ( | const Tuples::Tuple & | tuple,
|  | IOpaqueAddress * | value |
| ) |  |  | `[inline, static]`

more or less simple columns: IOpaqueAddress

Definition at line 97 of file TupleDecorator.h.

    00099     { return column ( tuple , "Address" , value ) ; }

StatusCode GaudiPython::TupleDecorator::column | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const Gaudi::LorentzVector & | value |
| ) |  |  | `[static]`

Advanced columns: LorentzVector.

Definition at line 102 of file TupleDecorator.cpp.

    00105 { return _fill ( tuple , name , value ) ; }

StatusCode GaudiPython::TupleDecorator::column | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const Gaudi::PtEtaPhiEVector & | value |
| ) |  |  | `[static]`

Advanced columns: LorentzVector.

Definition at line 108 of file TupleDecorator.cpp.

    00111 { return _fill ( tuple , name , value ) ; }

StatusCode GaudiPython::TupleDecorator::column | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const Gaudi::XYZVector & | value |
| ) |  |  | `[static]`

Advanced columns: 3D-vector.

Definition at line 114 of file TupleDecorator.cpp.

    00117 { return _fill ( tuple , name , value ) ; }

StatusCode GaudiPython::TupleDecorator::column | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const Gaudi::Polar3DVector & | value |
| ) |  |  | `[static]`

Advanced columns: 3D-vector.

Definition at line 120 of file TupleDecorator.cpp.

    00123 { return _fill ( tuple , name , value ) ; }

StatusCode GaudiPython::TupleDecorator::column | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const Gaudi::RhoEtaPhiVector & | value |
| ) |  |  | `[static]`

Advanced columns: 3D-vector.

Definition at line 126 of file TupleDecorator.cpp.

    00129 { return _fill ( tuple , name , value ) ; }

StatusCode GaudiPython::TupleDecorator::column | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const Gaudi::RhoZPhiVector & | value |
| ) |  |  | `[static]`

Advanced columns: 3D-vector.

Definition at line 132 of file TupleDecorator.cpp.

    00135 { return _fill ( tuple , name , value ) ; }

StatusCode GaudiPython::TupleDecorator::column | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const Gaudi::XYZPoint & | value |
| ) |  |  | `[static]`

Advanced columns: 3D-points.

Definition at line 138 of file TupleDecorator.cpp.

    00141 { return _fill ( tuple , name , value ) ; }

StatusCode GaudiPython::TupleDecorator::column | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const Gaudi::Polar3DPoint & | value |
| ) |  |  | `[static]`

Advanced columns: 3D-points.

Definition at line 144 of file TupleDecorator.cpp.

    00147 { return _fill ( tuple , name , value ) ; }

StatusCode GaudiPython::TupleDecorator::column | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const Gaudi::RhoEtaPhiPoint & | value |
| ) |  |  | `[static]`

Advanced columns: 3D-points.

Definition at line 150 of file TupleDecorator.cpp.

    00153 { return _fill ( tuple , name , value ) ; }

StatusCode GaudiPython::TupleDecorator::column | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const Gaudi::RhoZPhiPoint & | value |
| ) |  |  | `[static]`

Advanced columns: 3D-points.

Definition at line 156 of file TupleDecorator.cpp.

    00159 { return _fill ( tuple , name , value ) ; }

StatusCode GaudiPython::TupleDecorator::farray | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const std::vector< double > & | data,
|  | const std::string & | length,
|  | const size_t | maxv |
| ) |  |  | `[static]`

Advanced columns: floating-size arrays.

Definition at line 162 of file TupleDecorator.cpp.

    00167 {
    00168   if ( !tuple.valid() ) { return StatusCode::FAILURE ; }
    00169   return tuple->farray( name , data.begin() , data.end() , length , maxv ) ;
    00170 }

StatusCode GaudiPython::TupleDecorator::farray | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const CLHEP::HepVector & | data,
|  | const std::string & | length,
|  | const size_t | maxv |
| ) |  |  | `[static]`

Advanced columns: floating-size arrays.

Definition at line 173 of file TupleDecorator.cpp.

    00178 {
    00179   if ( !tuple.valid() ) { return StatusCode::FAILURE ; }
    00180   // use the trick!
    00181   const double* begin = &(data[0]);
    00182   const double* end   =   begin + data.num_row() ;
    00183   return tuple->farray ( name , begin , end , length , maxv ) ;
    00184 }

StatusCode GaudiPython::TupleDecorator::fmatrix | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const GaudiPython::Matrix & | data,
|  | const Tuples::TupleObj::MIndex | cols,
|  | const std::string & | length,
|  | const size_t | maxv |
| ) |  |  | `[static]`

Advanced columns: floating-size matrices.

Definition at line 187 of file TupleDecorator.cpp.

    00193 {
    00194   if ( !tuple.valid() ) { return StatusCode::FAILURE ; }
    00195   if ( !data.empty() && cols != data.front().size() )
    00196   { return tuple ->
    00197       Error  ("GP:fmatrix(1): mismatch in matrix dimensions!" ) ; }
    00198   return tuple->fmatrix( name , data , data.size() , cols , length , maxv ) ;
    00199 }

StatusCode GaudiPython::TupleDecorator::fmatrix | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const CLHEP::HepGenMatrix & | data,
|  | const Tuples::TupleObj::MIndex | cols,
|  | const std::string & | length,
|  | const size_t | maxv |
| ) |  |  | `[static]`

Advanced columns: floating-size matrices.

Definition at line 202 of file TupleDecorator.cpp.

    00208 {
    00209   if ( !tuple.valid() ) { return StatusCode::FAILURE ; }
    00210   if ( cols != data.num_col() )
    00211   { return tuple ->
    00212       Error  ("GP:fmatrix(2): mismatch in matrix dimensions!" ) ; }
    00213   return tuple->fmatrix( name , data , data.num_row() , cols , length , maxv ) ;
    00214 }

StatusCode GaudiPython::TupleDecorator::fmatrix | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const GaudiUtils::VectorMap< int, double > & | info,
|  | const std::string & | length,
|  | const size_t | maxv |
| ) |  |  | `[static]`

Advanced columns: floating-size matrices.

Definition at line 217 of file TupleDecorator.cpp.

    00222 {
    00223   if ( !tuple.valid() ) { return StatusCode::FAILURE ; }
    00224   return tuple->fmatrix ( name , info , length , maxv ) ;
    00225 }

StatusCode GaudiPython::TupleDecorator::array | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const std::vector< double > & | data |
| ) |  |  | `[static]`

Advanced columns: fixed size arrays.

Definition at line 228 of file TupleDecorator.cpp.

    00231 {
    00232   if ( !tuple.valid() ) { return StatusCode::FAILURE ; }
    00233   return tuple->array ( name , data.begin() , data.end() ) ;
    00234 }

StatusCode GaudiPython::TupleDecorator::array | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const CLHEP::HepVector & | data |
| ) |  |  | `[static]`

Advanced columns: fixed size arrays.

Definition at line 237 of file TupleDecorator.cpp.

    00240 {
    00241   if ( !tuple.valid() ) { return StatusCode::FAILURE ; }
    00242   return tuple->array( name , data , data.num_row() ) ;
    00243 }

StatusCode GaudiPython::TupleDecorator::array | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const Gaudi::Vector2 & | data |
| ) |  |  | `[static]`

Advanced columns: fixed size arrays.

Definition at line 255 of file TupleDecorator.cpp.

    00258 {
    00259   if ( !tuple.valid() ) { return StatusCode::FAILURE ; }
    00260   return tuple->array( name , data ) ;
    00261 }

StatusCode GaudiPython::TupleDecorator::array | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const Gaudi::Vector3 & | data |
| ) |  |  | `[static]`

Advanced columns: fixed size arrays.

Definition at line 264 of file TupleDecorator.cpp.

    00267 {
    00268   if ( !tuple.valid() ) { return StatusCode::FAILURE ; }
    00269   return tuple->array( name , data.begin() , data.begin() + 3  ) ;
    00270 }

StatusCode GaudiPython::TupleDecorator::array | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const Gaudi::Vector4 & | data |
| ) |  |  | `[static]`

Advanced columns: fixed size arrays.

Definition at line 273 of file TupleDecorator.cpp.

    00276 {
    00277   if ( !tuple.valid() ) { return StatusCode::FAILURE ; }
    00278   // return tuple->array( name , data ) ;
    00279   return tuple->array( name , data.begin() , data.begin()+4 ) ;
    00280 }

StatusCode GaudiPython::TupleDecorator::array | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const Gaudi::Vector5 & | data |
| ) |  |  | `[static]`

Advanced columns: fixed size arrays.

Definition at line 283 of file TupleDecorator.cpp.

    00286 {
    00287   if ( !tuple.valid() ) { return StatusCode::FAILURE ; }
    00288   return tuple->array( name , data ) ;
    00289 }

StatusCode GaudiPython::TupleDecorator::array | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const Gaudi::Vector6 & | data |
| ) |  |  | `[static]`

Advanced columns: fixed size arrays.

Definition at line 292 of file TupleDecorator.cpp.

    00295 {
    00296   if ( !tuple.valid() ) { return StatusCode::FAILURE ; }
    00297   return tuple->array( name , data ) ;
    00298 }

StatusCode GaudiPython::TupleDecorator::array | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const Gaudi::Vector7 & | data |
| ) |  |  | `[static]`

Advanced columns: fixed size arrays.

Definition at line 301 of file TupleDecorator.cpp.

    00304 {
    00305   if ( !tuple.valid() ) { return StatusCode::FAILURE ; }
    00306   return tuple->array( name , data ) ;
    00307 }

StatusCode GaudiPython::TupleDecorator::array | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const Gaudi::Vector8 & | data |
| ) |  |  | `[static]`

Advanced columns: fixed size arrays.

Definition at line 310 of file TupleDecorator.cpp.

    00313 {
    00314   if ( !tuple.valid() ) { return StatusCode::FAILURE ; }
    00315   return tuple->array( name , data ) ;
    00316 }

StatusCode GaudiPython::TupleDecorator::array | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const Gaudi::Vector9 & | data |
| ) |  |  | `[static]`

Advanced columns: fixed size arrays.

Definition at line 319 of file TupleDecorator.cpp.

    00322 {
    00323   if ( !tuple.valid() ) { return StatusCode::FAILURE ; }
    00324   return tuple->array( name , data ) ;
    00325 }

StatusCode GaudiPython::TupleDecorator::array | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const Gaudi::Vector1 & | data |
| ) |  |  | `[static]`

Advanced columns: fixed size arrays.

Definition at line 246 of file TupleDecorator.cpp.

    00249 {
    00250   if ( !tuple.valid() ) { return StatusCode::FAILURE ; }
    00251   return tuple->array( name , data ) ;
    00252 }

StatusCode GaudiPython::TupleDecorator::matrix | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const GaudiPython::Matrix & | data,
|  | const Tuples::TupleObj::MIndex | cols |
| ) |  |  | `[static]`

Advanced columns: fixed size matrices.

Definition at line 328 of file TupleDecorator.cpp.

    00332 {
    00333   if ( !tuple.valid() ) { return StatusCode::FAILURE ; }
    00334   if ( data.empty()   )
    00335   { return tuple ->
    00336       Warning ("GP:matrix(1): empty fixed matrix, skip matrix "    ) ; }
    00337   if ( cols != data.front().size() )
    00338   { return tuple ->
    00339       Error  ("GP:matrix(1): mismatch in fixed matrix dimensions!" ) ; }
    00340   return tuple -> matrix ( name , data , data.size() , cols  ) ;
    00341 }

StatusCode GaudiPython::TupleDecorator::matrix | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const CLHEP::HepGenMatrix & | data |
| ) |  |  | `[static]`

Advanced columns: fixed size matrices.

Definition at line 344 of file TupleDecorator.cpp.

    00347 {
    00348   if ( !tuple.valid() ) { return StatusCode::FAILURE ; }
    00349   if ( 1 > data.num_col()   )
    00350   { return tuple ->
    00351       Error  ("GP:matrix(2): illegal fixed matrix num_col" ) ; }
    00352   if ( 1 > data.num_row()   )
    00353   { return tuple ->
    00354       Error  ("GP:matrix(2): illegal fixed matrix num_row" ) ; }
    00355   return tuple->matrix( name , data , data.num_row() , data.num_col() ) ;
    00356 }

StatusCode GaudiPython::TupleDecorator::matrix | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const Gaudi::Matrix2x2 & | value |
| ) |  |  | `[static]`

Advanced columns: fixed size matrices: square matrices.

Definition at line 368 of file TupleDecorator.cpp.

    00371 {
    00372   if ( !tuple.valid() ) { return StatusCode::FAILURE ; }
    00373   return tuple->matrix ( name , data ) ;
    00374 }

StatusCode GaudiPython::TupleDecorator::matrix | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const Gaudi::Matrix3x3 & | value |
| ) |  |  | `[static]`

Advanced columns: fixed size matrices: square matrices.

Definition at line 377 of file TupleDecorator.cpp.

    00380 {
    00381   if ( !tuple.valid() ) { return StatusCode::FAILURE ; }
    00382   return tuple->matrix ( name , data ) ;
    00383 }

StatusCode GaudiPython::TupleDecorator::matrix | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const Gaudi::Matrix4x4 & | value |
| ) |  |  | `[static]`

Advanced columns: fixed size matrices: square matrices.

Definition at line 386 of file TupleDecorator.cpp.

    00389 {
    00390   if ( !tuple.valid() ) { return StatusCode::FAILURE ; }
    00391   return tuple->matrix ( name , data ) ;
    00392 }

StatusCode GaudiPython::TupleDecorator::matrix | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const Gaudi::Matrix5x5 & | value |
| ) |  |  | `[static]`

Advanced columns: fixed size matrices: square matrices.

Definition at line 395 of file TupleDecorator.cpp.

    00398 {
    00399   if ( !tuple.valid() ) { return StatusCode::FAILURE ; }
    00400   return tuple->matrix ( name , data ) ;
    00401 }

StatusCode GaudiPython::TupleDecorator::matrix | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const Gaudi::Matrix6x6 & | value |
| ) |  |  | `[static]`

Advanced columns: fixed size matrices: square matrices.

Definition at line 404 of file TupleDecorator.cpp.

    00407 {
    00408   if ( !tuple.valid() ) { return StatusCode::FAILURE ; }
    00409   return tuple->matrix ( name , data ) ;
    00410 }

StatusCode GaudiPython::TupleDecorator::matrix | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const Gaudi::Matrix7x7 & | value |
| ) |  |  | `[static]`

Advanced columns: fixed size matrices: square matrices.

Definition at line 413 of file TupleDecorator.cpp.

    00416 {
    00417   if ( !tuple.valid() ) { return StatusCode::FAILURE ; }
    00418   return tuple->matrix ( name , data ) ;
    00419 }

StatusCode GaudiPython::TupleDecorator::matrix | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const Gaudi::Matrix8x8 & | value |
| ) |  |  | `[static]`

Advanced columns: fixed size matrices: square matrices.

Definition at line 422 of file TupleDecorator.cpp.

    00425 {
    00426   if ( !tuple.valid() ) { return StatusCode::FAILURE ; }
    00427   return tuple->matrix ( name , data ) ;
    00428 }

StatusCode GaudiPython::TupleDecorator::matrix | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const Gaudi::Matrix9x9 & | value |
| ) |  |  | `[static]`

Advanced columns: fixed size matrices: square matrices.

Definition at line 431 of file TupleDecorator.cpp.

    00434 {
    00435   if ( !tuple.valid() ) { return StatusCode::FAILURE ; }
    00436   return tuple->matrix ( name , data ) ;
    00437 }

StatusCode GaudiPython::TupleDecorator::matrix | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const Gaudi::Matrix1x1 & | value |
| ) |  |  | `[static]`

Advanced columns: fixed size matrices: square matrices.

Definition at line 359 of file TupleDecorator.cpp.

    00362 {
    00363   if ( !tuple.valid() ) { return StatusCode::FAILURE ; }
    00364   return tuple->matrix ( name , data ) ;
    00365 }

StatusCode GaudiPython::TupleDecorator::matrix | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const Gaudi::Matrix1x3 & | value |
| ) |  |  | `[static]`

Advanced columns: fixed size matrices: non-square matrices.

Definition at line 440 of file TupleDecorator.cpp.

    00443 {
    00444   if ( !tuple.valid() ) { return StatusCode::FAILURE ; }
    00445   return tuple->matrix ( name , data ) ;
    00446 }

StatusCode GaudiPython::TupleDecorator::matrix | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const Gaudi::Matrix1x5 & | value |
| ) |  |  | `[static]`

Advanced columns: fixed size matrices: non-square matrices.

Definition at line 449 of file TupleDecorator.cpp.

    00452 {
    00453   if ( !tuple.valid() ) { return StatusCode::FAILURE ; }
    00454   return tuple->matrix ( name , data ) ;
    00455 }

StatusCode GaudiPython::TupleDecorator::matrix | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const Gaudi::Matrix1x6 & | value |
| ) |  |  | `[static]`

Advanced columns: fixed size matrices: non-square matrices.

Definition at line 458 of file TupleDecorator.cpp.

    00461 {
    00462   if ( !tuple.valid() ) { return StatusCode::FAILURE ; }
    00463   return tuple->matrix ( name , data ) ;
    00464 }

StatusCode GaudiPython::TupleDecorator::matrix | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const Gaudi::Matrix4x3 & | value |
| ) |  |  | `[static]`

Advanced columns: fixed size matrices: non-square matrices.

Definition at line 467 of file TupleDecorator.cpp.

    00470 {
    00471   if ( !tuple.valid() ) { return StatusCode::FAILURE ; }
    00472   return tuple->matrix ( name , data ) ;
    00473 }

StatusCode GaudiPython::TupleDecorator::matrix | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const Gaudi::Matrix3x4 & | value |
| ) |  |  | `[static]`

Advanced columns: fixed size matrices: non-square matrices.

Definition at line 476 of file TupleDecorator.cpp.

    00479 {
    00480   if ( !tuple.valid() ) { return StatusCode::FAILURE ; }
    00481   return tuple->matrix ( name , data ) ;
    00482 }

StatusCode GaudiPython::TupleDecorator::matrix | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const Gaudi::Matrix3x5 & | value |
| ) |  |  | `[static]`

Advanced columns: fixed size matrices: non-square matrices.

Definition at line 485 of file TupleDecorator.cpp.

    00488 {
    00489   if ( !tuple.valid() ) { return StatusCode::FAILURE ; }
    00490   return tuple->matrix ( name , data ) ;
    00491 }

StatusCode GaudiPython::TupleDecorator::matrix | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const Gaudi::Matrix3x6 & | value |
| ) |  |  | `[static]`

Advanced columns: fixed size matrices: non-square matrices.

Definition at line 494 of file TupleDecorator.cpp.

    00497 {
    00498   if ( !tuple.valid() ) { return StatusCode::FAILURE ; }
    00499   return tuple->matrix ( name , data ) ;
    00500 }

StatusCode GaudiPython::TupleDecorator::matrix | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const Gaudi::Matrix2x3 & | value |
| ) |  |  | `[static]`

Advanced columns: fixed size matrices: non-square matrices.

Definition at line 503 of file TupleDecorator.cpp.

    00506 {
    00507   if ( !tuple.valid() ) { return StatusCode::FAILURE ; }
    00508   return tuple->matrix ( name , data ) ;
    00509 }

StatusCode GaudiPython::TupleDecorator::matrix | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const Gaudi::Matrix3x2 & | value |
| ) |  |  | `[static]`

Advanced columns: fixed size matrices: non-square matrices.

Definition at line 512 of file TupleDecorator.cpp.

    00515 {
    00516   if ( !tuple.valid() ) { return StatusCode::FAILURE ; }
    00517   return tuple->matrix ( name , data ) ;
    00518 }

StatusCode GaudiPython::TupleDecorator::matrix | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const Gaudi::SymMatrix1x1 & | value |
| ) |  |  | `[static]`

Advanced columns: fixed size matrices: symmetric matrices.

Definition at line 521 of file TupleDecorator.cpp.

    00524 {
    00525   if ( !tuple.valid() ) { return StatusCode::FAILURE ; }
    00526   return tuple->matrix ( name , data ) ;
    00527 }

StatusCode GaudiPython::TupleDecorator::matrix | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const Gaudi::SymMatrix3x3 & | value |
| ) |  |  | `[static]`

Advanced columns: fixed size matrices: symmetric matrices.

Definition at line 539 of file TupleDecorator.cpp.

    00542 {
    00543   if ( !tuple.valid() ) { return StatusCode::FAILURE ; }
    00544   return tuple->matrix ( name , data ) ;
    00545 }

StatusCode GaudiPython::TupleDecorator::matrix | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const Gaudi::SymMatrix4x4 & | value |
| ) |  |  | `[static]`

Advanced columns: fixed size matrices: symmetric matrices.

Definition at line 548 of file TupleDecorator.cpp.

    00551 {
    00552   if ( !tuple.valid() ) { return StatusCode::FAILURE ; }
    00553   return tuple->matrix ( name , data ) ;
    00554 }

StatusCode GaudiPython::TupleDecorator::matrix | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const Gaudi::SymMatrix5x5 & | value |
| ) |  |  | `[static]`

Advanced columns: fixed size matrices: symmetric matrices.

Definition at line 557 of file TupleDecorator.cpp.

    00560 {
    00561   if ( !tuple.valid() ) { return StatusCode::FAILURE ; }
    00562   return tuple->matrix ( name , data ) ;
    00563 }

StatusCode GaudiPython::TupleDecorator::matrix | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const Gaudi::SymMatrix6x6 & | value |
| ) |  |  | `[static]`

Advanced columns: fixed size matrices: symmetric matrices.

Definition at line 566 of file TupleDecorator.cpp.

    00569 {
    00570   if ( !tuple.valid() ) { return StatusCode::FAILURE ; }
    00571   return tuple->matrix ( name , data ) ;
    00572 }

StatusCode GaudiPython::TupleDecorator::matrix | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const Gaudi::SymMatrix7x7 & | value |
| ) |  |  | `[static]`

Advanced columns: fixed size matrices: symmetric matrices.

Definition at line 575 of file TupleDecorator.cpp.

    00578 {
    00579   if ( !tuple.valid() ) { return StatusCode::FAILURE ; }
    00580   return tuple->matrix ( name , data ) ;
    00581 }

StatusCode GaudiPython::TupleDecorator::matrix | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const Gaudi::SymMatrix8x8 & | value |
| ) |  |  | `[static]`

Advanced columns: fixed size matrices: symmetric matrices.

Definition at line 584 of file TupleDecorator.cpp.

    00587 {
    00588   if ( !tuple.valid() ) { return StatusCode::FAILURE ; }
    00589   return tuple->matrix ( name , data ) ;
    00590 }

StatusCode GaudiPython::TupleDecorator::matrix | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const Gaudi::SymMatrix9x9 & | value |
| ) |  |  | `[static]`

Advanced columns: fixed size matrices: symmetric matrices.

Definition at line 593 of file TupleDecorator.cpp.

    00596 {
    00597   if ( !tuple.valid() ) { return StatusCode::FAILURE ; }
    00598   return tuple->matrix ( name , data ) ;
    00599 }

StatusCode GaudiPython::TupleDecorator::matrix | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const Gaudi::SymMatrix2x2 & | value |
| ) |  |  | `[static]`

Advanced columns: fixed size matrices: symmetric matrices.

Definition at line 530 of file TupleDecorator.cpp.

    00533 {
    00534   if ( !tuple.valid() ) { return StatusCode::FAILURE ; }
    00535   return tuple->matrix ( name , data ) ;
    00536 }

The documentation for this class was generated from the following files:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r4/GaudiPython/GaudiPython/TupleDecorator.h
- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r4/GaudiPython/src/Lib/TupleDecorator.cpp